# libirc_events.h File Reference

Describes event callbacks generated by libircclient. More...

## Data Structures

struct | irc_callbacks_t
| Event callbacks structure. More...

## Typedefs

typedef void(* | irc_event_callback_t )(irc_session_t *session, const char *event, const char *origin, const char **params, unsigned int count)
| A most common event callback.
typedef void(* | irc_eventcode_callback_t )(irc_session_t *session, unsigned int event, const char *origin, const char **params, unsigned int count)
| A numeric event callback.
typedef void(* | irc_event_dcc_chat_t )(irc_session_t *session, const char *nick, const char *addr, irc_dcc_t dccid)
| A remote DCC CHAT request callback.
typedef void(* | irc_event_dcc_send_t )(irc_session_t *session, const char *nick, const char *addr, const char *filename, unsigned long size, irc_dcc_t dccid)
| A remote DCC CHAT request callback.

## Detailed Description

Describes event callbacks generated by libircclient.

Author:
  Georgy Yunaev

Version:
  1.0

Date:
  09.2004 This file should not be included directly. Include libircclient.h instead.